Package org.apache.sling.cms.i18n

## Interface I18NProvider

    public interface I18NProvider

Service interface for retrieving an i18n dictionary.

### Method Summary

All Methods Instance Methods Abstract Methods
`I18NDictionary` `getDictionary​(org.apache.sling.api.resource.ResourceResolver resolver)` Get the appropriate dictionary for the resource resolver.
`I18NDictionary` `getDictionary​(org.apache.sling.api.SlingHttpServletRequest request)` Get the appropriate dictionary for the request.

### Method Detail

#### getDictionary

    I18NDictionary getDictionary​(org.apache.sling.api.SlingHttpServletRequest request)

Get the appropriate dictionary for the request. Intended to be invoked by methods providing i18n keys to an end user.

Parameters:
  `request` - the current request
Returns:
  the i18nDictionary for the request

#### getDictionary

    I18NDictionary getDictionary​(org.apache.sling.api.resource.ResourceResolver resolver)

Get the appropriate dictionary for the resource resolver. Intended to be invoked by methods providing i18n keys a CMS user / author / admin.

Parameters:
  `resolver` - the current resource resolver
Returns:
  the i18nDictionary for the resolver